## org.apache.xpath.objects
Class XNodeSetForDOM

    java.lang.Object
      org.apache.xpath.Expression
          org.apache.xpath.objects.XObject
              org.apache.xpath.axes.NodeSequence
                  org.apache.xpath.objects.XNodeSet
                      org.apache.xpath.objects.XNodeSetForDOM

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.xml.transform.SourceLocator, DTMIterator, PathComponent, ExpressionNode, XPathVisitable

    public class XNodeSetForDOM

extends XNodeSet

This class overrides the XNodeSet#object() method to provide the original Node object, NodeList object, or NodeIterator.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.xpath.objects.XObject
`CLASS_BOOLEAN, CLASS_NODESET, CLASS_NULL, CLASS_NUMBER, CLASS_RTREEFRAG, CLASS_STRING, CLASS_UNKNOWN, CLASS_UNRESOLVEDVARIABLE`

Fields inherited from interface org.apache.xml.dtm.DTMIterator
`FILTER_ACCEPT, FILTER_REJECT, FILTER_SKIP`

Constructor Summary
`XNodeSetForDOM(org.w3c.dom.Node node, DTMManager dtmMgr)`
`XNodeSetForDOM(org.w3c.dom.traversal.NodeIterator nodeIter, XPathContext xctxt)`
`XNodeSetForDOM(org.w3c.dom.NodeList nodeList, XPathContext xctxt)`
`XNodeSetForDOM(XNodeSet val)` Construct a XNodeSet object.

Method Summary
`org.w3c.dom.NodeList` `nodelist()` Cast result object to a nodelist.
`org.w3c.dom.traversal.NodeIterator` `nodeset()` Cast result object to a nodelist.
`java.lang.Object` `object()` Return the original DOM object that the user passed in.

Methods inherited from class org.apache.xpath.objects.XNodeSet
`appendToFsb, bool, boolWithSideEffects, compare, dispatchCharactersEvents, equals, getFresh, getNumberFromNode, getStringFromNode, getType, getTypeString, greaterThan, greaterThanOrEqual, iter, iterRaw, lessThan, lessThanOrEqual, mutableNodeset, notEquals, num, numWithSideEffects, release, str, xstr`

Methods inherited from class org.apache.xpath.axes.NodeSequence
`allowDetachToRelease, clone, cloneWithReset, detach, fixupVariables, getAnalysisBits, getAxis, getContainedIter, getCurrentNode, getCurrentPos, getDTM, getDTMManager, getExpandEntityReferences, getLength, getRoot, getWhatToShow, hasCache, isDocOrdered, isFresh, isMutable, item, nextNode, previousNode, reset, runTo, setCurrentPos, setItem, setIter, setRoot, setShouldCacheNodes`

Methods inherited from class org.apache.xpath.objects.XObject
`callVisitors, castToType, create, create, deepEquals, destruct, execute, rtf, rtf, rtree, rtree, toString`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, canTraverseOutsideSubtree, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XNodeSetForDOM

    public XNodeSetForDOM(org.w3c.dom.Node node,
                          DTMManager dtmMgr)

### XNodeSetForDOM

    public XNodeSetForDOM(XNodeSet val)

  Construct a XNodeSet object.

  Parameters:
    `val` - Value of the XNodeSet object

### XNodeSetForDOM

    public XNodeSetForDOM(org.w3c.dom.NodeList nodeList,
                          XPathContext xctxt)

### XNodeSetForDOM

    public XNodeSetForDOM(org.w3c.dom.traversal.NodeIterator nodeIter,
                          XPathContext xctxt)

Method Detail

### object

    public java.lang.Object object()

  Return the original DOM object that the user passed in. For use primarily by the extension mechanism.

  Overrides:
    `object` in class `XNodeSet`
  Returns:
    The object that this class wraps

### nodeset

    public org.w3c.dom.traversal.NodeIterator nodeset()
                                               throws javax.xml.transform.TransformerException

  Cast result object to a nodelist. Always issues an error.

  Overrides:
    `nodeset` in class `XNodeSet`
  Returns:
    null
  Throws:
    `javax.xml.transform.TransformerException`

### nodelist

    public org.w3c.dom.NodeList nodelist()
                                  throws javax.xml.transform.TransformerException

  Cast result object to a nodelist. Always issues an error.

  Overrides:
    `nodelist` in class `XNodeSet`
  Returns:
    null
  Throws:
    `javax.xml.transform.TransformerException`

Copyright © 2005 Apache XML Project. All Rights Reserved.